SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetReport] (
	@ID Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

		SELECT
			[ID]								'id',
			[Description] 						'description',
			[Procedure] 						'procedure',
			[StartDate]							'startDate',
			[EndDate]							'endDate',
			[Frecuency]							'frecuency',
			[HourSpace]							'hourSpace',
			[ExactTime]							'exactTime',
			[Weekday]							'weekday',
			[DayMonth]							'dayMonth',
			[Summary]							'summary',
			[Filter]							'filter',
			[Email]								'email'
		FROM [Report] (NOLOCK)
		WHERE [ID] = @ID
	

	
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
