SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SavePlatform]
(
	@PlatformHash			VARCHAR(100),
	-- @InstallationId			VARCHAR(50),
	@Type					VARCHAR(50),
	@EnvironmentId			VARCHAR(100)
	--@MacAddress				VARCHAR(50),
	-- @PublicIp				VARCHAR(25)
)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [dbo].[Platform] 
		SET -- [InstallationId] = @InstallationId,
			[Type] = @type,
			[EnvironmentId] = @environmentId,
			-- [MacAddress] = @MacAddress,
			-- [PublicIP] = @PublicIp,
			[IsActivated] = 1,
			[TimeStamp] = GETUTCDATE()
	WHERE
		[PlatformHash] = @PlatformHash

	/*
	IF @@ROWCOUNT = 0
	BEGIN
		INSERT INTO [dbo].[Auditor](
			[Instance],
			[ID],
			[Description],
			[CreatedDate],
			[CreatedByUserId],
			[LastModifiedDate],
			[LastModifiedByUserId],
			[TimeStamp]
		)
		VALUES(
			@Instance,
			@ID,
			@Description,
			@CreatedDate,
			@CreatedByUserId,
			@LastModifiedDate,
			@LastModifiedByUserId,
			GETUTCDATE()
		)
	END
	*/

	-- SELECT 1 AS 'result'
	SELECT P.[InstallationId]									'installationId', 
			P.[Type]											'type',
			P.[EnvironmentId]									'environmentId',
			P.[MacAddress]										'macAddress', 
			P.[BaseBoardSerialNumber]							'baseBoardSerialNumber',
			P.[PublicIP]										'publicIp',
			P.[IsActivated]										'isActivated',
			P.[IsActivated]										'status'
		FROM [dbo].[Platform] P (NOLOCK)
		WHERE P.[PlatformHash] = @PlatformHash 

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
