SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[AccountSubAccountVCCBulkNewBatchDetail]
AS
BEGIN
	--TRUNCATE TABLE [dbo].[TMP_TABLE]
	--INSERT INTO [dbo].[TMP_TABLE] ([PlatformHash], [InstallationId], [AccountId], [SubAccountId], [VCC], [BatchTypeName], [BatchTypeId], [SystemService], [ProcessId], [EntityId], [StartDate], [EndDate], [DurationTime])
	--SELECT [PlatformHash], [InstallationId], [AccountId], [SubAccountId], [VCC], [BatchTypeName], [BatchTypeId], [SystemService], [ProcessId], [EntityId], [StartDate], [EndDate], [DurationTime] FROM #AccountSubAccountVCCBulkNewBatchDetailTemp
	
	
	-- ESTE PROCEDURE TIENE LA FUNCION DE REGISTRAR UN BLOQUE DE NUEVA DATA A LA TABLA DETALLE DE TRANSACCION
	-- A PARTIR DE UNA TABLA TEMPORAL
	INSERT INTO [dbo].[AccountSubAccountVCCDetailedTransaction] (
		[ID] ,[InstallationId] ,[BatchID] ,[AccountId] ,[SubAccountId] 
		,[BatchTypeName] ,[BatchTypeId] ,[VCC] ,[SystemService] 
		,[RatePerSecond] 
		,[RatePerTransaction]
		,[EntityId] ,[StartDate] ,[EndDate] ,[DurationTime]
		,[Channel] ,[CreatedDate] ,[CreatedByuserId] ,[CreatedByRemoteUser] 
		,[TimeStamp]
	)
	SELECT NEWID() ,ASAVSTTMP.[InstallationId] ,ASAVST.[BatchID] ,AV.[AccountId] ,AV.[SubAccountId]
			,ASAVSTTMP.[BatchTypeName] ,ASAVSTTMP.[BatchTypeId] ,ASAVSTTMP.[VCC] ,ASAVSTTMP.[SystemService] 
			,CASE WHEN ASAVSTTMP.[SystemService] = 'TRANSCRIPTION' 
				--THEN ASAVST.[TranscriptionRatePerSecond] 
				THEN 
					CASE WHEN ASAVSTTMP.[Channel] = 'CALL' THEN ASAVST.[TranscriptionRatePerSecond] ELSE 0 END -- PARA TRANSCRIPCION DE INTERACCIONES ASINCRONAS EL COSTO ES 0 
				ELSE NULL 
				END
			,CASE WHEN ASAVSTTMP.[SystemService] = 'SEMANTIC_ANALYSIS' THEN ASAVST.[SemanticAnalysisRatePerTransaction] WHEN ASAVSTTMP.[SystemService] = 'COGNITIVE_ANALYSIS' THEN ASAVST.[CognitiveAnalysisRatePerTransaction] ELSE NULL END
			,ASAVSTTMP.[EntityId] ,ASAVSTTMP.[StartDate] ,ASAVSTTMP.[EndDate] ,ASAVSTTMP.[DurationTime]
			,ASAVSTTMP.[Channel] ,GETUTCDATE(), ASAVST.[UserApi] ,1 
			,GETUTCDATE()
		FROM #AccountSubAccountVCCBulkNewBatchDetailTemp ASAVSTTMP (NOLOCK)
		--FROM [TMP_TABLE] ASAVSTTMP
		LEFT JOIN [dbo].[AccountSubAccountVCCSummaryTransaction] ASAVST (NOLOCK)
			ON ASAVST.[InstallationId] = ASAVSTTMP.[InstallationId] 
				AND ASAVST.[VCC] = ASAVSTTMP.[VCC] 
				AND ASAVST.[BatchTypeName] = ASAVSTTMP.[BatchTypeName] 
				AND ASAVST.[BatchTypeId] = ASAVSTTMP.[BatchTypeId]  
				AND ASAVST.[SystemService] = ASAVSTTMP.[SystemService] 
		LEFT JOIN [dbo].[AccountVCC] AV (NOLOCK) 
			ON AV.[InstallationId] = ASAVSTTMP.[InstallationId] 
				AND AV.[VCC] = ASAVSTTMP.[VCC] 

	-- TERMINADO EL PROCESO ELIMINAMOS LA TABLA TEMPORAL
	DROP TABLE #AccountSubAccountVCCBulkNewBatchDetailTemp
	
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
