SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetApiUser]
(
	@UserApi VARCHAR(50) = NULL,
	@VCC VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- HACEMOS LA BUSQUEDA DE LA CUENTA POR MEDIO DE LA ID
	SELECT  [InstallationId]				'installationId',
			[VCC]							'vcc',
			[UserApi]						'userApi',
			[Pin]							'pin',
			[FailedTry]						'failedTry',
			[IsLocked]						'isLocked',
			[CreatedDate]					'createdDate',
			[CreatedByUserId]				'createdByUserId',
			[CreatedByRemoteUser]			'createdByRemoteUser',
			[LastModifiedDate]				'lastModifiedDate',
			[LastModifiedByUserId]			'lastModifiedByUserId',
			[LastModifiedByRemoteUser]		'lastModifiedByRemoteUser'
		FROM dbo.[UserApi] 
		WHERE [UserApi] = @UserApi
			AND [VCC] = @VCC

	SET NOCOUNT OFF
END 
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
