SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCurrencies] (
	@SearchCriteria					VARCHAR(50) = NULL,
	@SearchExpression				VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	SELECT C.[LargeName]					'largeName',
			C.[ShortName]					'shortName',
			C.[Code]						'code',
			C.[Symbol]						'symbol',
			C.[IsInternational]				'isInternational'
		FROM [dbo].[Currency] C (NOLOCK)

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
