SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetVCCBalance]
(
	@AccountId				VARCHAR(50) = NULL,
	@InstallationId			VARCHAR(100) = NULL
)
AS
BEGIN
	-- ESTE SP RECUPERA TODOS LOS VCC CON SUS SALDOS DISPONIBLES, CUENTAS Y SUBCUENTAS ASOCIADAS
	SET NOCOUNT ON

	SELECT [InstallationId]			'installationId',
			[AccountId]					'accountId',
			[SubAccountId]				'subAccountId',
			[VCC]						'vcc',
			[CountableBalance]			'countableBalance',
			[AvailableBalance]			'availableBalance',
			[RetainedBalance]			'retainedBalance',
			[IsLocked]					'isLocked',
			[SystemService]				'systemService'
	FROM [dbo].[AccountVCCBalance]  (NOLOCK)
	WHERE [AccountId] = @AccountId  AND [InstallationId]=@InstallationId 
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
