SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SavePlatformBuildVersion] (
	@PlatformHash VARCHAR(100) = NULL,
	@InstallationId VARCHAR(100) = NULL,
	@BuildVersion VARCHAR(25) = NULL
) AS
BEGIN
	-- ESTE SP TIENE LA FINALIDAD DE ACTUALIZAR LA VERSION DE BUILD DE UNA PLATAFORMA
	SET XACT_ABORT, NOCOUNT ON

	--
	UPDATE [dbo].[PlatformData] 
		SET [BuildVersion] = @BuildVersion,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = 'system',
			[TimeStamp] = GETUTCDATE()
		WHERE [PlatformHash] = @PlatformHash
			AND [InstallationId] = @InstallationId

	--
	SELECT 1 'result'

	SET XACT_ABORT, NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
