CREATE TABLE [dbo].[AccountVCCBalance] (
   [InstallationId] [varchar](100) NOT NULL ,
   [AccountId] [varchar](100) NOT NULL ,
   [SubAccountId] [varchar](50) NULL ,
   [VCC] [varchar](50) NOT NULL ,
   [SystemService] [varchar](50) NOT NULL ,
   [CountableBalance] [decimal](18,5) NOT NULL 
      CONSTRAINT [DF_AccountVCCBalance_CountableBalance] DEFAULT ((0)) ,
   [AvailableBalance] [decimal](18,5) NOT NULL 
      CONSTRAINT [DF_AccountVCCBalance_AvailableBalance] DEFAULT ((0)) ,
   [RetainedBalance] [decimal](18,5) NOT NULL 
      CONSTRAINT [DF_AccountVCCBalance_RetainedBalance] DEFAULT ((0)) ,
   [IsLocked] [bit] NOT NULL 
      CONSTRAINT [DF_AccountVCCBalance_IsLocked] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NOT NULL 
      CONSTRAINT [DF_AccountVCCBalance_CreatedDate] DEFAULT (getutcdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_AccountVCCBalance] PRIMARY KEY CLUSTERED ([InstallationId], [AccountId], [VCC], [SystemService])
)


GO
